System 2.0.0.0 4.0.0.0 System.Enum

identifies the type of value provided in the parameter for the method. You can use to search an collection by subject name, thumbprint, serial number, valid date range, or other value.

You can use a combination of FindByTime value types to find certificates that are valid in a given time range. The union of certificates returned using , , and for a given time represents all certificates in the queried collection.

Specifies the type of value the method searches for.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509FindType

  The parameter for the method must be a string representing either the application policy friendly name or the object identifier (OID, or ) of the certificate. For example, "Encrypting File System" or "1.3.6.1.4.1.311.10.3.4" can be used. For an application that will be localized, the OID value must be used, because the friendly name is localized.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509FindType

  The parameter for the method must be a string representing either the friendly name or the object identifier (OID, or ) of the certificate policy. The best practice is to use the OID, such as "1.3.6.1.4.1.311.10.3.4". For an application that will be localized, the OID must be used, because the friendly name is localized.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509FindType

  The parameter for the method must be a string describing the extension to find. The object identifier (OID) is most commonly used to direct the method to search for all certificates that have an extension matching that OID value.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509FindType

  The parameter for the method must be a string representing the issuer distinguished name of the certificate. This is a more specific search than that provided by the enumeration value. Using the value, the method performs a case-insensitive string comparison for the entire distinguished name. Searching by issuer name is a less precise search.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509FindType

  The parameter for the method must be a string representing the issuer name of the certificate. This is a less specific search than that provided by the enumeration value. Using the value, the method performs a case-insensitive string comparison using the supplied value. For example, if you pass "MyCA" to the method, it will find all certificates with the issuer name containing that string, regardless of other issuer values.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509FindType

  The parameter for the method must be either a string representing the key usage or an integer representing a bit mask containing all the requested key usages. For the string value, only one key usage at a time can be specified, but the method can be used in a cascading sequence to get the intersection of the requested usages. For example, the parameter can be set to "KeyEncipherment" or an integer (0x30 indicates "KeyEncipherment" and "DataEncipherment"). Values of the enumeration can also be used.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509FindType

  The parameter for the method must be a string that represents the serial number of the certificate as displayed by the certificate dialog box, but without the spaces, or as returned by the method.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509FindType

  The parameter for the method must be a string representing the subject distinguished name of the certificate. This is a more specific search than that provided by the enumeration value. Using the value, the method performs a case-insensitive string comparison for the entire distinguished name. Searching by subject name is a less precise search.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509FindType

  The parameter for the method must be a string representing the subject key identifier in hexadecimal, such as "F3E815D45E83B8477B9284113C64EF208E897112", as displayed in the UI.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509FindType

  The parameter for the method must be a string representing the subject name of the certificate. This is a less specific search than that provided by the enumeration value. Using the value, the method performs a case-insensitive string comparison using the supplied value. For example, if you pass "MyCert" to the method, it will find all certificates with the subject name containing that string, regardless of other subject values. Searching by distinguished name is a more precise search.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509FindType

  The parameter for the method must be a string representing the template name of the certificate, such as "ClientAuth". A template name is an X509 version 3 extension that specifies the uses of the certificate.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509FindType

  The parameter for the method must be a string representing the thumbprint of the certificate.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509FindType

  The parameter for the method must be a value in local time. For example, you can find all the certificates that will be valid until the end of the year by eliminating the results of a operation for of the last day of the year from the results of a operation for .

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509FindType

  The parameter for the method must be a value in local time. The value does not have to be in the future. For example, you can use to find certificates that became valid in the current year by taking the intersection of the results of a operation for for the last day of last year with the results of a operation for of .

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509FindType

  The parameter for the method must be a value in local time. You can use to find all the currently valid certificates.